Page MenuHomePhabricator

Edit card user interface tweaks
Closed, ResolvedPublic

Description

Design: @iamjessklein
Design review: @cmadeo
Engineering review: @Esanders

Why are we doing this?

The last update to the edit cards fixed an interaction problem where users were getting confused over the multiple button option in the link label and target cards. We solved this problem by unifying the experience, having one card with one edit button. Through user testing we determined that the solution was plausible and in turn, moved forward with the fix. However, the fix did not go through a final design review, and as a result, there is still an opportunity for user interface improvements to the solution.

User story

As an editor on the mobile Visual Editor web app, I'd like to be able to tap an edit link button, read the contents on the card and understand what the text links to as well as learn the edit options that are available to me.

Proposal

This section includes the user interface improvements that should be implemented in our next edit cards release

Initial Design

Event Timeline

iamjessklein added a comment.EditedAug 30 2019, 4:11 PM

Here's my first round of tweaks, would love to hear some feedback @cmadeo

Please provide high level comments here and targeted comments on the freehand.

iamjessklein updated the task description. (Show Details)Sep 3 2019, 7:15 PM
ppelberg added a comment.EditedSep 4 2019, 5:03 AM

Here's my first round of tweaks, would love to hear some feedback @cmadeo
Please provide high level comments here and targeted comments on the freehand.

These designs look great, @iamjessklein. With this in mind, as you, @Esanders and I talked about during our respective meetings today: we agreed to narrow the scope of this set of changes to the edit card to minor changes like the below [1] for the time being [2].

Thinking: the effort required to make more substantial changes to the edit cards likely exceeds the benefit they will provide.

Example changes

  • Fixing any spacing issues on the Edit Card (e.g. should there be more space between the "text" and "target" content?)
  • Fixing any typeface issues on the Edit Card (e..g should the "text" and "target" titles be larger?)

  1. Changes like...: these changes are examples of the kinds of changes that are in scope
  2. For the time being...: our analysis could show further improvements are required. If it does, we can revisit the design of the edit cards then.
ppelberg moved this task from To Triage to Current work on the VisualEditor board.Oct 22 2019, 3:48 PM
ppelberg edited projects, added VisualEditor (Current work); removed VisualEditor.
JTannerWMF closed this task as Resolved.Oct 30 2019, 7:09 PM
JTannerWMF added a subscriber: JTannerWMF.

There is no further action. Please see Peter's comment above.